IARRAY_GET_2D_SLICE_FROM_3D(3)

FUNCTION
iarray_get_2D_slice_from_3D - Create a 2-dimensional Intelligent Array alias from a slice.

SYNOPSIS
#include <karma_iarray.h>

iarray iarray_get_2D_slice_from_3D

(iarray cube, unsigned int ydim, unsigned int xdim, unsigned int slice_pos)

DESCRIPTION
This routine will create a 2-D "Intelligent Array" which is an alias of an arbitrary slice of a 3-D array.

cube
    The input 3-D array.

ydim
    The dimension in the 3-D array which will become the y dimension (most significant) of the output array.

xdim
    The dimension in the 3-D array which will become the x dimension (least significant) of the output array.

slice_pos
    The position of the slice along the unspecified (remaining) dimension in the 3-D array.

RETURN VALUE
A dynamically allocated intelligent array on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
Alias arrays cannot be saved to disc.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/